using System;
using System.IO;
using Addison_Wesley.Codebook.Filesystem;

namespace Ordner_kopieren
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Kopírování složky pomocí nástrojů .NET";

         string sourceFolderName = @"C:\Temp";
         string destFolderName = @"C:\Temp.copy";

         // Vytvoříme adresář jako příklad pro kopírování
         System.IO.Directory.CreateDirectory(sourceFolderName);

         Console.WriteLine("Kopíruji '" + sourceFolderName + "' na '" +
            destFolderName + "' ...");
         try
         {
            // Ordner rekursiv kopieren
            FolderUtil.CopyFolder(sourceFolderName, destFolderName);

            Console.WriteLine("Hotovo");
         }
         catch (IOException ex)
         {
            Console.WriteLine("Chyba při kopírování adresáře: " + ex.Message);
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
